<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>br.com.bebidas</groupId>
  <artifactId>Bebidas</artifactId>
  <version>0.0.1</version>
  <packaging>war</packaging>
  
  <!-- Codificação dos caracteres -->
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<!-- Parâmetros de execução -->
	<build>
		<!-- Nome do projeto empacotado -->
		<finalName>Bebidas</finalName>

		<!-- Plugins -->
		<plugins>
			<!-- Compilador -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.3</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<!-- Dependências -->
	<dependencies>
		<!-- Hibernate Core -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>4.3.11.Final</version>
		</dependency>
		
		<!-- JUnit -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
		</dependency>
		
		<!-- HSQLDB Java Connector library -->
		<!-- https://mvnrepository.com/artifact/org.hsqldb/hsqldb -->
			<dependency>
			    <groupId>org.hsqldb</groupId>
			    <artifactId>hsqldb</artifactId>
			    <version>2.4.0</version>
			    <scope>test</scope>
			</dependency>
		
		<!-- javax.faces JSF  -->
		<dependency>
		    <groupId>org.glassfish</groupId>
		    <artifactId>javax.faces</artifactId>
		    <version>2.2.12</version>
		</dependency>
		
		<!-- Omni Faces -->
		<dependency>
		    <groupId>org.omnifaces</groupId>
		    <artifactId>omnifaces</artifactId>
		    <version>1.14.1</version>
		</dependency>
		
		
	</dependencies>
    
</project>